Loading...
Searching...
No Matches
pappso::spectree::SpecTree::SpecTreeNode Struct Reference

## Public Attributes

std::size_t | parentIndex = index_not_defined
std::size_t | nextIndex = index_not_defined
std::size_t | value
std::size_t | count

## Detailed Description

Definition at line 120 of file spectree.h.

## Member Data Documentation

## count

std::size_t pappso::spectree::SpecTree::SpecTreeNode::count

Definition at line 125 of file spectree.h.

Referenced by pappso::spectree::SpecTree::SpecTree(), pappso::spectree::SpecTree::walkBackInBranchFromNode(), and pappso::spectree::SpecTree::walkBackInBranchFromNodeToTarget().

## nextIndex

std::size_t pappso::spectree::SpecTree::SpecTreeNode::nextIndex = index_not_defined

Definition at line 123 of file spectree.h.

Referenced by pappso::spectree::SpecTree::SpecTree(), pappso::spectree::SpecTree::extractSpectrumPairSimilarityCount(), and pappso::spectree::SpecTree::extractSpectrumSimilarityCount().

## parentIndex

std::size_t pappso::spectree::SpecTree::SpecTreeNode::parentIndex = index_not_defined

Definition at line 122 of file spectree.h.

Referenced by pappso::spectree::SpecTree::SpecTree(), pappso::spectree::SpecTree::walkBackInBranchFromNode(), and pappso::spectree::SpecTree::walkBackInBranchFromNodeToTarget().

## value

std::size_t pappso::spectree::SpecTree::SpecTreeNode::value

Definition at line 124 of file spectree.h.

Referenced by pappso::spectree::SpecTree::SpecTree(), pappso::spectree::SpecTree::walkBackInBranchFromNode(), and pappso::spectree::SpecTree::walkBackInBranchFromNodeToTarget().

The documentation for this struct was generated from the following file:

- pappsomspp/processing/spectree/spectree.h